> For the complete documentation index, see [llms.txt](https://docs.maplytics.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.maplytics.com/features/maplytics-api/get-time-zone.md).

# Get Time zone

To get the time zone of a region, when we pass address or latitude/longitude then it will return the time zone.&#x20;

To execute time zone action using the C#, use following code.

```
string requestName = "ikl_InogicMaplyticsAPIGetTimeZone";

                //create request object
OrganizationRequest orgReq = new OrganizationRequest(requestName);

orgReq["TimezoneLocation"] = "new york";

                //execute the request
OrganizationResponse response = service.Execute(orgReq);

string TimeZone = "TimeZone: " + (string)response.Results["TimeZone"];

string TimeZoneAbbreviation = "TimeZoneAbbreviation: " + (string)response.Results["TimeZoneAbbreviation"];

```

To execute the action using the javascript (web api) you can use following code.

```
var actionObj = {
            TimezoneLocation: "New york",           
        }

        // call this function to execute the action 
        execute(actionObj, "ikl_InogicMaplyticsAPIGetTimeZone()", function (data) {

            alert("Success: " + data);

        }, function (error) {
            debugger;
            alert("Error: " + error.message);
        });

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.maplytics.com/features/maplytics-api/get-time-zone.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
